From: "Jakov Smolić" <jsmolic@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-build/bmake/
Date: Sat, 24 Feb 2024 12:40:27 +0000 (UTC) [thread overview]
Message-ID: <1708778394.db78fd34d87bb76d80246b3ddc463d659bd4d819.jsmolic@gentoo> (raw)
commit: db78fd34d87bb76d80246b3ddc463d659bd4d819
Author: Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 24 12:02:15 2024 +0000
Commit: Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
CommitDate: Sat Feb 24 12:39:54 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=db78fd34
dev-build/bmake: add 20240212
Signed-off-by: Jakov Smolić <jsmolic <AT> gentoo.org>
dev-build/bmake/Manifest | 1 +
dev-build/bmake/bmake-20240212.ebuild | 57 +++++++++++++++++++++++++++++++++++
2 files changed, 58 insertions(+)
diff --git a/dev-build/bmake/Manifest b/dev-build/bmake/Manifest
index 9c78af5e50b3..40585492e19e 100644
--- a/dev-build/bmake/Manifest
+++ b/dev-build/bmake/Manifest
@@ -1,3 +1,4 @@
DIST bmake-20230909.tar.gz 859801 BLAKE2B 02a44598edf05ebbcb31767b156563bfa10071774a3e7ae565efddc9b1ea6e684558e4ec3cfbc56d7d855cbe8663c43f43bd8d37e0a289c55ec12733e3e4916c SHA512 50622aee8024b3e0385974a8f446a4b5df0ba494b6133ab91ebbe63c408154b112f62c9df8521f4f1beaf28cdd6e7da178c3334337f6b14c8bced532029d8ba5
DIST bmake-20231210.tar.gz 859537 BLAKE2B 554a4fab9df6c3f0ed1659c69a6294a6c3e1ebce4a8609ea1fe8bc657c11be04ea9b66ca01c50fc3bfc1ee54552a7e16584b26bea9f5461834e608ea39bbc38a SHA512 e2e35b5442f17c521ef2bf1c4cc1dbdedd0b1a335ac9a3c743add1c0bbaf4e32396ba64fd572cca75821cfa2b722d58ee71ec694d150d7e70d7a550d911a308b
+DIST bmake-20240212.tar.gz 856614 BLAKE2B a5f6110e8a5c36f66e7a241aae9cab954fcfef99b2a4f0f77ea978f289f658a5e56949301619f4abe15dbf23eff8d78c7f34b1c2d4baea7875794b45de8ca03f SHA512 f6f5db408262768d551067b9f4c365fdadf7e8702b0e8eb52a86840cc28fbbd0eef023c82cadbe6a7f94794b9392e3c83902a1e18accf68af5fcf391dfeadf16
DIST mk-20210330.tar.gz 107380 BLAKE2B 9ac30a117d9ba31635cf8d8d29fdba76f148611f47628403ca8f807081c32509f10498d3c30fd24985e5420af4710fe59fc6315d71f2d0c1cfed93263a06553a SHA512 6acd3ee911442934082f4f877d795b07c5e23022eaa9c0874799d97e92a2f5a663cb45f94b7f9745c49cbbce6b7e755a29e381ccfb9e68a0be1eedbd22fd5d3b
diff --git a/dev-build/bmake/bmake-20240212.ebuild b/dev-build/bmake/bmake-20240212.ebuild
new file mode 100644
index 000000000000..9c749f92ff06
--- /dev/null
+++ b/dev-build/bmake/bmake-20240212.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MK_VER=20210330
+
+DESCRIPTION="NetBSD's portable make"
+HOMEPAGE="http://www.crufty.net/help/sjg/bmake.html"
+SRC_URI="
+ http://void.crufty.net/ftp/pub/sjg/${P}.tar.gz
+ http://void.crufty.net/ftp/pub/sjg/mk-${MK_VER}.tar.gz"
+S="${WORKDIR}/${PN}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+# Skip failing test (sandbox and csh)
+PATCHES=(
+ "${FILESDIR}"/${PN}-20210206-tests.patch
+)
+
+src_prepare() {
+ default
+ cd "${WORKDIR}" || die
+ eapply "${FILESDIR}"/${PN}-20210314-mk-fixes.patch
+}
+
+src_configure() {
+ econf \
+ --with-mksrc=../mk \
+ --with-default-sys-path="${EPREFIX}"/usr/share/mk/${PN} \
+ --with-machine_arch=${ARCH}
+}
+
+src_compile() {
+ sh make-bootstrap.sh || die "bootstrap failed"
+}
+
+src_test() {
+ cd unit-tests || die
+
+ # the 'ternary' test uses ${A} internally, which
+ # conflicts with Gentoo's ${A}, hence unset it for
+ # the tests temporarily.
+ env -u A MAKEFLAGS= \
+ "${S}"/bmake -r -m / TEST_MAKE="${S}"/bmake test || die "tests compilation failed"
+}
+
+src_install() {
+ dobin ${PN}
+ doman ${PN}.1
+ FORCE_BSD_MK=1 SYS_MK_DIR=. \
+ sh ../mk/install-mk -v -m 644 "${ED}"/usr/share/mk/${PN} \
+ || die "failed to install mk files"
+}
next reply other threads:[~2024-02-24 12:40 UTC|newest]
Thread overview: 29+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-02-24 12:40 Jakov Smolić [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-02-24 12:40 [gentoo-commits] repo/gentoo:master commit in: dev-build/bmake/ Jakov Smolić
2024-06-19 7:34 Sam James
2024-06-25 16:50 Jakov Smolić
2024-06-25 16:50 Jakov Smolić
2024-07-27 15:26 Jakov Smolić
2024-07-27 15:26 Jakov Smolić
2024-07-30 23:44 Jakov Smolić
2024-08-25 11:12 Jakov Smolić
2024-08-30 15:31 Jakov Smolić
2024-10-06 10:55 Sam James
2024-10-06 10:55 Sam James
2024-10-08 12:50 Jakov Smolić
2024-11-21 17:13 Jakov Smolić
2024-12-01 19:57 Arthur Zamarin
2024-12-01 19:57 Arthur Zamarin
2024-12-02 13:15 Jakov Smolić
2025-01-05 17:49 Arthur Zamarin
2025-01-05 17:49 Arthur Zamarin
2025-01-05 17:49 Arthur Zamarin
2025-01-05 17:49 Arthur Zamarin
2025-01-05 17:49 Arthur Zamarin
2025-02-02 0:47 Jakov Smolić
2025-02-02 0:47 Jakov Smolić
2025-03-08 14:09 Sam James
2025-03-08 14:25 Sam James
2025-03-08 14:25 Sam James
2025-03-08 16:42 Arthur Zamarin
2025-03-08 18:54 Arthur Zamarin
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1708778394.db78fd34d87bb76d80246b3ddc463d659bd4d819.jsmolic@gentoo \
--to=jsmolic@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox